# This code is part of Qiskit.
#
# (C) Copyright IBM 2019.
#
# This code is licensed under the Apache License, Version 2.0. You may
# obtain a copy of this license in the LICENSE.txt file in the root directory
# of this source tree or at http://www.apache.org/licenses/LICENSE-2.0.
#
# Any modifications or derivative works of this code must retain this
# copyright notice, and modified files need to carry a notice indicating
# that they have been altered from the originals.


"""
Mocked versions of real quantum backends.
"""

# BackendV1 Backends
from .almaden import FakeAlmaden
from .armonk import FakeArmonk
from .athens import FakeAthens
from .belem import FakeBelem
from .boeblingen import FakeBoeblingen
from .bogota import FakeBogota
from .burlington import FakeBurlington
from .cambridge import FakeCambridge
from .cambridge import FakeCambridgeAlternativeBasis
from .casablanca import FakeCasablanca
from .essex import FakeEssex
from .guadalupe import FakeGuadalupe
from .johannesburg import FakeJohannesburg
from .lima import FakeLima
from .london import FakeLondon
from .manhattan import FakeManhattan
from .melbourne import FakeMelbourne
from .montreal import FakeMontreal
from .mumbai import FakeMumbai
from .ourense import FakeOurense
from .paris import FakeParis
from .poughkeepsie import FakePoughkeepsie
from .quito import FakeQuito
from .rochester import FakeRochester
from .rome import FakeRome
from .rueschlikon import FakeRueschlikon
from .santiago import FakeSantiago
from .singapore import FakeSingapore
from .sydney import FakeSydney
from .tenerife import FakeTenerife
from .tokyo import FakeTokyo
from .toronto import FakeToronto
from .valencia import FakeValencia
from .vigo import FakeVigo
from .yorktown import FakeYorktown

# Legacy Backends
from .almaden import FakeLegacyAlmaden
from .armonk import FakeLegacyArmonk
from .athens import FakeLegacyAthens
from .belem import FakeLegacyBelem
from .boeblingen import FakeLegacyBoeblingen
from .bogota import FakeLegacyBogota
from .burlington import FakeLegacyBurlington
from .cambridge import FakeLegacyCambridge
from .cambridge import FakeLegacyCambridgeAlternativeBasis
from .casablanca import FakeLegacyCasablanca
from .essex import FakeLegacyEssex
from .johannesburg import FakeLegacyJohannesburg
from .lima import FakeLegacyLima
from .london import FakeLegacyLondon
from .manhattan import FakeLegacyManhattan
from .melbourne import FakeLegacyMelbourne
from .montreal import FakeLegacyMontreal
from .mumbai import FakeLegacyMumbai
from .ourense import FakeLegacyOurense
from .paris import FakeLegacyParis
from .poughkeepsie import FakeLegacyPoughkeepsie
from .quito import FakeLegacyQuito
from .rochester import FakeLegacyRochester
from .rome import FakeLegacyRome
from .rueschlikon import FakeLegacyRueschlikon
from .santiago import FakeLegacySantiago
from .singapore import FakeLegacySingapore
from .sydney import FakeLegacySydney
from .tenerife import FakeLegacyTenerife
from .tokyo import FakeLegacyTokyo
from .toronto import FakeLegacyToronto
from .valencia import FakeLegacyValencia
from .vigo import FakeLegacyVigo
from .yorktown import FakeLegacyYorktown
